
QGIS Application - Feature request #68

No value is shown in Measure Distance/Area

2006-04-09 12:17 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: GUI

Pull Request or Patch supplied: Resolution: worksforme

Easy fix?: No Copied to github as #: 10127

Description

In Measure Distance window no total value is shown. The same issue occurs in Measure Area.

History

#1 - 2006-04-10 02:10 AM - Gavin Macaulay -

Works for me. Any one else having problems?

#2 - 2006-04-11 04:45 AM - Redmine Admin

See attached screenshot. Built against Qt 4.1.0

#3 - 2006-04-14 09:42 PM - Gavin Macaulay -

Can you add the following line to the beginning of the formatDistance() function in src/gui/qgsmeasure.cpp, recompile, run qgis, load your data and use the

measure line tool, and then tell use you get on the console?

std::cerr << distance << '\

';

This should tell me whether the problem is in the calculation of the length or in the display of the length.

#4 - 2006-04-16 08:07 AM - Redmine Admin

I've done, what you said and it seems that distance and also mTotal values are calculated properly and there is problem to display them. Even if I put to 

editTotal some string explicitly nothing was displayed. This led me to check if there is some problem with font rendering. When I set Sans Serif font in 

qgismeasurebase.ui (with Qt Designer) and then rebuild, the problem disapperared. Yuppiii, wow...

I've attached patch which resolves my problem (it only sets Sans Serif font in QgisMeasureBase.ui)

Conclusion: In UI should be set the most common fonts (to avoid similar issues)

#5 - 2006-04-16 03:35 PM - Gavin Macaulay -

This may be a problem with qt4.1.0. I suggest moving to 4.1.1 rather than hard-coding a font in qgis.
#6 - 2006-04-17 03:14 AM - Redmine Admin

- Status changed from Open to Closed

- Resolution set to worksforme

It is Qt-4.1.0 related problem. My upgrade to Qt-4.1.2 resolves this problem.

#7 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

measure.png 50.1 KB 2006-04-11 Redmine Admin

fix.diff 1.2 KB 2006-04-16 Redmine Admin
